You need the Linux headers package that matches your kernel version, if you don't already have it installed. These install the files that VMware needs to /usr/src/<kernel-version>.

So if uname -a...